Subject: bug#78377: Cross-Compile - "src/make-prime-list: cannot execute: required file not found"

From: Pádraig Brady <[email-masked]>
Date: Sat, 17 May 2025 09:24:07 +0100

On 17/05/2025 04:21, Collin Funk wrote:
> Hi Pádraig,
> 
> Pádraig Brady <[email-masked]> writes:
> 
>> Well given we also need to call gl_BUILD_CC perhaps the
>> best way would be to have a separate build-cc gnulib module
>> and have the crc module depend on that. I'm fine just depending
>> on crc for now though, though I can see a build-cc gnulib module
>> being generally useful.
> 
> Yeah, that sounds better. But since it seems Coreutils is the only one
> using it I am not in a rush to do it. :)
> 
>> Talking about crc, given our crctab.c has expanded recently,
>> it probably makes sense to generate that at build time also.
> 
> I can have a look at that. Seems fairly simple.

Great, much appreciated.

I adjusted the commit message to mention this
was only an issue when building from git,
as we distribute primes.h in tarballs.
I also mentioned this bug number in the commit message.

Pushed.
Marking as done.

thanks!
Pádraig.